%define apache_conf  %_sysconfdir/httpd/conf
%define httpd_confdir %_sysconfdir/httpd/conf/addon-modules
%define htmldir       %_var/www/html
%define sgmldir       %_datadir/sgml

Name:		w3c-markup-validator
Version:	0.7.2
Release:	alt1
Summary:	W3C Markup Validator

Group:		Networking/WWW
License:	W3C Software License
Url:		http://validator.w3.org/
Packager:	Gleb Stiblo <ulfr@altlinux.ru>
Source0:	sgml-lib-0_7_2.tar.gz
Source1:	validator-0_7_2.tar.gz
Patch01:	check.patch
Patch02:	paths.patch

BuildArch:	noarch
BuildRequires:	perl perl-CGI perl-HTML-Parser perl-libwww-perl perl-Set-IntSpan perl-Text-Iconv perl-URI
BuildRequires:	perl-HTML-Template perl-Config-General perl-Net-IP
Requires:	apache, OpenSP, openjade
Requires:	%name-libs = %version
Obsoletes:	w3c-validator

%description
The W3C Markup Validator checks documents like HTML and XHTML for
conformance to W3C Recommendations and other standards.

%package	libs
Summary:	SGML and XML DTDs for the W3C Markup Validator
Group:		Networking/WWW
Requires:	sgml-common
Obsoletes:	w3c-validator-libs

%description	libs
SGML and XML DTDs for the W3C Markup Validator.

%prep
%setup -q -a 1 -n validator-%version
mv htdocs/sgml-lib .
rm -rf htdocs
mv validator-%version/* .
rm -rf validator-%version

%patch01 -p1
%patch02 -p1

# Localize configs.
%__perl -pi -e \
  's|/usr/local/validator\b|%_datadir/%name|' htdocs/config/validator.conf httpd/conf/httpd.conf httpd/cgi-bin/*
%__perl -pi -e \
  's|^(\s*Library\s*=\s*).*|${1}%_datadir/sgml/%name| ; \
   s|\bwww-validator\@w3\.org\b|root\@localhost| ; \
   s|/validator\.w3\.org/|/localhost/w3c-validator/|' htdocs/config/validator.conf

# Move config out of the way
mv htdocs/config __config
subst "s|Templates = .*\$|Templates = %_datadir/%name/templates|g" __config/validator.conf
subst "s|#Base = |Base = |g" __config/validator.conf

%build
%install
# Config files
install -dm 755 %buildroot%_sysconfdir/w3c
install -pm 644 __config/* %buildroot%_sysconfdir/w3c
install -Dpm 644 httpd/conf/httpd.conf \
  %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

# Scripts, HTML, etc.
install -dm 755 %buildroot%_datadir/%name
cp -pR httpd/cgi-bin htdocs share/templates %buildroot%_datadir/%name

# SGML library
install -dm 755 %buildroot%_datadir/sgml
cp -pR sgml-lib %buildroot%_datadir/sgml/%name
install -dm 755 %buildroot%_sysconfdir/sgml
touch %buildroot%_sysconfdir/sgml/%name-%version-%release.cat

%post
if [ $1 = "1" ]; then
	[ -f %apache_conf/httpd.conf ] && %__subst "s/^Include conf\/addon-modules\/%name.conf$//g" %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:
fi

%postun
if [ $1 = "0" ]; then
	[ -f %apache_conf/httpd.conf ] && %__subst "s/^Include conf\/addon-modules\/%name.conf$//g" %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:
fi

%post libs
for catalog in sgml.soc xml.soc ; do
  install-catalog --add \
    %_sysconfdir/sgml/%name-%version-%release.cat \
    %_datadir/sgml/%name/$catalog >/dev/null 2>&1 || :
done

%preun libs
for catalog in sgml.soc xml.soc ; do
  install-catalog --remove \
    %_sysconfdir/sgml/%name-%version-%release.cat \
    %_datadir/sgml/%name/$catalog >/dev/null 2>&1 || :
done

%triggerpostun -- w3c-validator = 0.6.1-alt1
	[ -f %apache_conf/httpd.conf ] && %__subst "s/^Include conf\/addon-modules\/%name.conf$//g" %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:

%files
%config %_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%config %_sysconfdir/w3c/
%_datadir/%name/

%files libs
%ghost %config %_sysconfdir/sgml/%name-%version-%release.cat
%_datadir/sgml/%name/

%changelog
* Wed Oct 04 2006 Gleb Stiblo <ulfR@altlinux.ru> 0.7.2-alt1
- new version
- package rename

* Fri Jun 11 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt5
- OpenSP added in requires

* Wed May 12 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt4
- spec cleanup
- checking for include line in httpd.conf added

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt3
- glibc 2.3 build

* Tue Apr 27 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt2
- post/postun scripts changed

* Tue Mar 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt1
- ALT adaptation.
- -T removed from check

* Sun Dec  1 2002 Ville Skyttä <ville.skytta at iki.fi> - 0.6.1-1w3c
- Update to 0.6.1.

* Fri Nov 29 2002 Ville Skyttä <ville.skytta at iki.fi> - 0.6.0-1w3c
- First release.
